List deliveries for a webhook endpoint
GET
/v1/projects/{projectId}/webhook-endpoints/{endpointId}/deliveriescurl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/webhook-endpoints/{endpointId}/deliveries' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- endpointIdstring必填
查询参数
- fromstring
- tostring
- pageSizenumber
- pageTokenstring
响应
Success
- dataarray<WebhookDeliverySummaryDto>必填
- idstring必填
- endpointIdstring必填
- eventIdstring必填
- eventTypestring必填
- occurredAtstring必填
- statestring必填可选值queuedfailedleaseddelivered
- attemptCountnumber必填
- firstAttemptAtstring | null必填
- lastAttemptAtstring | null必填
- responseStatusnumber | null必填
- failureCodestring | null必填
- createdAtstring必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- requestIdstring必填
- pageSizenumber必填
响应示例
{
"data": [
{
"id": "string",
"endpointId": "string",
"eventId": "string",
"eventType": "string",
"occurredAt": "string",
"state": "queued",
"attemptCount": 0,
"firstAttemptAt": "string",
"lastAttemptAt": "string",
"responseStatus": 0,
"failureCode": "string",
"createdAt": "string"
}
],
"nextPageToken": "string",
"meta": {
"requestId": "string",
"pageSize": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1